Subject: Re: [PATCH v5 1/1] send-email: Add sendmail email aliases format

From: Junio C Hamano <[email-masked]>
Date: Mon, 25 May 2015 20:34:06 -0700

Junio C Hamano <[email-masked]> writes:

> It probably should be two patches.  Your sendmail thing with docs
> and tests as one patch (with $HOME in test), and fix to mailrc tests
> I did (minus the part that fixes your sendmail test, which should
> now become unnecessary) on top.
>
> If the documentation I queued on 'pu' formats well already (which I
> cannot check myself until tomorrow), then I'd guess the above would
> be like squashing 8b8fb5a into dc6183c and then 6b733ee on top, I
> think.
>
>  6b733ee t9001: write $HOME/, not ~/, to help shells without tilde expansion
>  8b8fb5a git-send-email doc: refer to upstream document for alias format
>  dc6183c send-email: add sendmail email aliases format

Well, I lied [*1*].  I think the documentation part of what is in
'pu' formats fine, so let me just clean them up and push the result
out for your final review.  Give me a few hours (leaving time for
dinner and etc., too).

[Footnote]

*1* My Git time is spent on in a terminal-only environment, a
virtual machine running somewhere in Google datacenters, and when I
am home working from a Chromebook via ssh, I lack a convenient way
to grab a single file out of there to view in the browser locally.
The virtual machine does let me upload to Google Drive and I can
grab a file from there to my Chromebook, and that is what I did to
see what the AsciiDoc formatted result looked like just now ;-)